---
title: Cancel transfer
slug: apis/payments/wires/cancel-a-wire-transfer
description: Cancel a pending wire using POST /wires/v1/payments{id}/cancel to prevent it from being processed.
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2025-07-06T12:02:48.695Z
---

## Relevant webhooks

For this endpoint be sure you have [registered](docId\:BN5XtgkJogBe-CtwomCbS) for this webhook:

- [Wire.Payment.Canceled](docId\:OA3cg-apKn_510VPq2yYe)&#x20;

## API reference

:::hint{type="warning"}
In November 2027, the Fedwire Funds Service will remove the fully unstructured postal address option in favor of a single hybrid postal address format. **All parties** (intermediaryFi, beneficiaryFi, beneficiary, originator)  across **all message types** must transition from free-text address lines (address1, address2, address3) to a new **postalAddress object** with mandatory adrLine1, country and city fields.

In advance of the Fedwire enforcement date, all partners must use the new **postalAddress&#x20;**&#x73;tructure in production no later tha&#x6E;**&#x20;October 2027.&#x20;**&#x4D;essages sent in the old format after this date will be rejected.
:::

Cancels a wire transfer payment.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /wires/v1/payments/{id}/cancel",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "kVBLn-zyAJW6SbXQfBh1v",
        "language": "curl",
        "code": "curl -L -g 'https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel' ^\n-H 'Idempotency-key: 0b700631-e844-464d-a747-ecb65c15d2c5' ^\n-d '\n\n'",
        "customLabel": ""
      },
      {
        "id": "eVXKEG1Zz07we-iLjma2W",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'POST',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/wires/v1/payments/{id}/cancel',\n  'headers': {\n    'Idempotency-key': '0b700631-e844-464d-a747-ecb65c15d2c5'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData =  \"\\n\\n\";\n\nreq.write(postData);\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "LQ1cZ3PDpLX4hyQEJxDVb",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel\"\n\npayload = \"\\n\\n\"\nheaders = {\n  'Idempotency-key': '0b700631-e844-464d-a747-ecb65c15d2c5'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "U85MflcVL6dCcEJSitjZj",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Idempotency-key\"] = \"0b700631-e844-464d-a747-ecb65c15d2c5\"\nrequest.body = \"\\n\\n\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "Ko1fx9FrSFFunaUZuCU7b",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/wires/v1/payments/{id}/cancel\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`\n\n`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Idempotency-key\", \"0b700631-e844-464d-a747-ecb65c15d2c5\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "kVBLn-zyAJW6SbXQfBh1v"
  },
  "results": {
    "languages": [
      {
        "id": "pbxJLj26WBQHEgkbU1goU",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"id\": \"932ab92c-6cf6-4af3-b9fb-b288017529d7\",\n  \"accountNumber\": \"2330604998\",\n  \"coreTransactionId\": \"5d7b8635-1bc6-4a7b-a1fa-b288017529d7\",\n  \"referenceId\": \"S65BRYJR29S\",\n  \"direction\": \"Outbound\",\n  \"paymentType\": \"Transfer\",\n  \"source\": \"Api\",\n  \"status\": \"Canceled\",\n  \"posting\": \"Posted\",\n  \"partnerAuthorization\": \"Canceled\",\n  \"partnerAuthorization2\": \"Canceled\",\n  \"enteredById\": \"3Qtu9nljXwHcd33wn0XxmRbR5P7fxX0z\",\n  \"amount\": 5000,\n  \"currency\": \"usd\",\n  \"purpose\": \"Testing\",\n  \"businessFunctionCode\": \"CTR\",\n  \"typeCode\": \"1000\",\n  \"senderRoutingNumber\": \"021214891\",\n  \"senderName\": \"CROSS RIVER BANK\",\n  \"senderReference\": \"S65BRYJR29S\",\n  \"receiverRoutingNumber\": \"026009593\",\n  \"receiverName\": \"BK AMER NYC\",\n  \"originatingFi\": {\n    \"idCode\": \"F\",\n    \"identifier\": \"021214891\",\n    \"name\": \"CRB 21852936\",\n    \"address1\": \"400 KELBY STREET\",\n    \"address2\": \"FORT LEE, NJ\",\n    \"address3\": \"US\"\n  },\n  \"originator\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"2330604998\",\n    \"name\": \"PETER GRIFFIN\",\n    \"address1\": \"31 SPOONER ST\",\n    \"address2\": \"\",\n    \"address3\": \"QUAHOG RI 33156 US\"\n  },\n  \"beneficiaryFi\": {\n    \"idCode\": \"F\",\n    \"identifier\": \"026009593\",\n    \"name\": \"BANK OF AMERICA, N.A., NY\",\n    \"address1\": \"NEW YORK, NY\"\n  },\n  \"beneficiary\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"316840684\",\n    \"name\": \"Stewie Griffin\",\n    \"address1\": \"31 Spooner St\",\n    \"address2\": \"Quahog RI 33030\",\n    \"address3\": \"US\"\n  },\n  \"originatorToBeneficiary1\": \"HAPPY BIRTHDAY\",\n  \"beneficiaryReference\": \"GIFT\",\n  \"wasReversed\": false,\n  \"isInternational\": false,\n  \"clientIdentifier\": \"05d73490-65ac-4725-98b6-cbf8252e52fe\",\n  \"createdAt\": \"2025-02-18T17:38:38.79-05:00\",\n  \"canceledAt\": \"2025-02-18T17:38:46.6595381-05:00\",\n  \"effectiveDate\": \"2025-02-18T00:00:00-05:00\",\n  \"postedAt\": \"2025-02-18T17:38:45.013-05:00\",\n  \"originalPaymentId\": \"932ab92c-6cf6-4af3-b9fb-b288017529d7\",\n  \"partnerId\": \"ba9d0234-26e9-43a2-9070-aedd0108eadb\",\n  \"productId\": \"2733f398-b44a-4f0c-9064-b1b700e619af\",\n  \"lastModifiedAt\": \"2025-02-18T17:38:46.6595381-05:00\",\n  \"postingCode\": \"OK\",\n  \"investigated\": false,\n  \"isoPaymentType\": \"CustomerCreditTransfer\"\n}"
      }
    ],
    "selectedLanguageId": "pbxJLj26WBQHEgkbU1goU"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "The payment ID. First appears in the initial response to the originate a payment request. This ID is in GUID format.",
        "": "The payment ID. First appears in the initial response to the originate a payment request. This ID is in GUID format."
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "formDataParameters": [],
    "bodyDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The payment ID. First appears in the initial response to the originate a payment request. This ID is in GUID format."
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Cross River account number. In Cross River, depending on the account type, the number of digits will vary. The first digit indicates the kind of account.",
      "children": []
    },
    {
      "name": "coreTransactionId",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River unique ID for the transaction",
      "children": []
    },
    {
      "name": "referenceId",
      "kind": "optional",
      "type": "string",
      "description": "Unique Cross River reference ID for the payment",
      "children": []
    },
    {
      "name": "fedBatchId",
      "kind": "optional",
      "type": "string",
      "description": "Unique identifier in GUID format for the Federal Reserve batch the payment went out on (or came in on for inbound payments)",
      "children": []
    },
    {
      "name": "fedBatchSequence",
      "kind": "optional",
      "type": "integer",
      "description": "Sequence number of payment in batch",
      "children": []
    },
    {
      "name": "direction",
      "kind": "optional",
      "type": "string",
      "description": "Inbound or outbound",
      "children": []
    },
    {
      "name": "paymentType",
      "kind": "optional",
      "type": "string",
      "description": "Transfer, Drawdown, DrawdownResponse, ServiceMessage, Reversal",
      "children": []
    },
    {
      "name": "source",
      "kind": "optional",
      "type": "string",
      "description": "Method used to send payment instructions: Phone, fax, email, file, API, partner portal, Ops portal.",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Payment status: Created, Pending, Hold, Batched, Processing, Completed, Rejected, Canceled, Blocked",
      "children": []
    },
    {
      "name": "posting",
      "kind": "optional",
      "type": "string",
      "description": "Posting status: Pending, Posted, Failed, Canceled",
      "children": []
    },
    {
      "name": "rejectionReason",
      "kind": "optional",
      "type": "string",
      "description": "Rejected because:\n- OfacCancelUnableToDetermine\n- OfacConfirmed\n- OfacUnconfirmed\n- Other",
      "children": []
    },
    {
      "name": "blockedReason",
      "kind": "optional",
      "type": "string",
      "description": "Blocked because: OfacMatch, Other",
      "children": []
    },
    {
      "name": "partnerAuthorization",
      "kind": "optional",
      "type": "string",
      "description": "Partner authorization for out-of-band payment requests: NotRequired, Pending , Approved, Canceled",
      "children": []
    },
    {
      "name": "authorizedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the wire was authorized. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "authorizedById",
      "kind": "optional",
      "type": "string",
      "description": "Cross River user ID of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "authorizedByName",
      "kind": "optional",
      "type": "string",
      "description": "Cross River username of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "partnerAuthorization2",
      "kind": "optional",
      "type": "string",
      "description": "Second partner authorization for out-of-band payment requests: NotRequired, Pending , Approved, Canceled",
      "children": []
    },
    {
      "name": "authorizedAt2",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the wire was authorized. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "authorizedById2",
      "kind": "optional",
      "type": "string",
      "description": "Cross River user ID of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "authorizedByName2",
      "kind": "optional",
      "type": "string",
      "description": "Cross River username of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "amount",
      "kind": "optional",
      "type": "integer",
      "description": "Dollar amount of wire transfer in positive integral cents. For example, write $1.00 as 100.",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "Currency of funds transfer",
      "children": []
    },
    {
      "name": "purpose",
      "kind": "optional",
      "type": "string",
      "description": "Reason for the wire transfer, such as \"daily settlement.\" Also use this field if you submit multiple wires for the same amount, such as \"1 of 2, 2 of 2.\" This data is not included with the outgoing FedWire message.",
      "children": []
    },
    {
      "name": "imad",
      "kind": "optional",
      "type": "string",
      "description": "Input Messaging Accountability Data. A combination of a date, source identifier, and sequence number assigned to a Fedwire message when it is processed by the Federal Reserve Bank Funds Transfer application. Unique to the payment.",
      "children": []
    },
    {
      "name": "omad",
      "kind": "optional",
      "type": "string",
      "description": "Output Messaging Accountability Data. A combination of a date, destination identifier, and sequence number assigned to a Fedwire message when it is processed by the Federal Reserve Bank Funds Transfer application.",
      "children": []
    },
    {
      "name": "businessFunctionCode",
      "kind": "optional",
      "type": "string",
      "description": "The business purpose of the wire transfer. The most common type is customer wire transfer (CTR) where the beneficiary isn't a bank. See the full list of codes and descriptions.",
      "children": []
    },
    {
      "name": "typeCode",
      "kind": "optional",
      "type": "string",
      "description": "The type code value provides information about the type of wire transfer sent (type code, first 2 digits) and more details about the transfer (subtype code, second 2 digits).",
      "children": []
    },
    {
      "name": "senderRoutingNumber",
      "kind": "optional",
      "type": "string",
      "description": "Fedwire routing number for the sender's bank",
      "children": []
    },
    {
      "name": "senderName",
      "kind": "optional",
      "type": "string",
      "description": "Entity sending the wire",
      "children": []
    },
    {
      "name": "senderReference",
      "kind": "optional",
      "type": "string",
      "description": "Sender's assigned reference number",
      "children": []
    },
    {
      "name": "receiverRoutingNumber",
      "kind": "optional",
      "type": "string",
      "description": "The 9-digit Fedwire routing number of the financial institution receiving the wire drawdown request. The ABA directory provides financial institution routing numbers.",
      "children": []
    },
    {
      "name": "receiverName",
      "kind": "optional",
      "type": "string",
      "description": "Name of the FI receiving the funds",
      "children": []
    },
    {
      "name": "originatingFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of the financial institution sending the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier at the financial institution sending the wire"
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Name of the originating financial institution. Maximum 140 characteres."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "originator",
      "kind": "optional",
      "type": "object",
      "description": "Details of the party sending the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the party sending the wire. For outbound payments where originator details are submitted with the payment request, this is the customer account number. Otherwise, the system automatically populates this field."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Originator name. Maximum 140 characteres."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "intermediaryFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of any intermediary bank involved in the wire transaction. Not all wire transfers use an intermediary FI.",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the intermediary bank involved with the wire transaction."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Intermediary financial institution name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "beneficiaryFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of the financial institution receiving the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes.\n\nFor outbound payments, the value for the beneficiary FI is F to indicate the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the bank receiving the wire. For outbound payments, this is the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Beneficiary financial institution name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "beneficiary",
      "kind": "optional",
      "type": "object",
      "description": "Details of the party receiving the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Identifier code for the party receiving the wire. For outbound payments, this is \"D\" to indicate a deposit account."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the party receiving the wire. For outbound payments, this is the beneficiary's account number."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Beneficiary name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "originatorToBeneficiary1",
      "kind": "optional",
      "type": "string",
      "description": "Field for additional information from the originator to the beneficiary.",
      "children": []
    },
    {
      "name": "beneficiaryReference",
      "kind": "optional",
      "type": "string",
      "description": "Optional field for additional information. 35 characters maximum.",
      "children": []
    },
    {
      "name": "receiptDate",
      "kind": "optional",
      "type": "string",
      "description": "Month and day the wire was received in the format mmdd",
      "children": []
    },
    {
      "name": "receiptTime",
      "kind": "optional",
      "type": "string",
      "description": "Time the wire was received, in the format hhmm",
      "children": []
    },
    {
      "name": "wasReversed",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the payment was reversed, otherwise false",
      "children": []
    },
    {
      "name": "isInternational",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the payment is international, otherwise false",
      "children": []
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "Use this attribute to add your own unique identifying string to a payment call or COS record. This attribute is useful for idempotency purposes.",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was created in the system. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "releasedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was released in a distribution to the Fed. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "processedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was processed by Cross River. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm].",
      "children": []
    },
    {
      "name": "canceledAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was canceled",
      "children": []
    },
    {
      "name": "rejectedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was rejected. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "blockedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was blocked by BSA/AML. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "effectiveDate",
      "kind": "optional",
      "type": "string",
      "description": "Business date on which the payment is effective",
      "children": []
    },
    {
      "name": "completedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was systemically completed. This can only occur after the payment has successfully posted to the account. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "postedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was posted to the Cross River account. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "originalPaymentId",
      "kind": "optional",
      "type": "string",
      "description": "Payment ID of a previously sent wire that was reversed. Otherwise, the same as the payment ID.",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "ID in GUID format of your specific product type on which the account is based. Provided by Cross River. In this case, the Cross River account involved in the payment. More about Product IDs.",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "postingCode",
      "kind": "optional",
      "type": "string",
      "description": "Includes OK (posted), RES (account restricted), NSF (insufficient funds in the account sending the wire)",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-wiresv1paymentsidcancel",
  "legacyHash": "lJ5R4akXo_sV7z36_gLUt"
}
```
:::

#

